For the complete documentation index, see llms.txt. This page is also available as Markdown.

List Inventory by Item

Retrieves a list of Inventory per item from the data source based on the provided 3PL account token

get
Authorizations
AuthorizationstringRequired
Query parameters
product_idnumberOptional

A comma-separated list of product ids.

item_idstringOptional

A comma-separated list of item ids.

base_part_numberstringOptional

A comma-separated list of base part numbers.

item_numberstringOptional

A comma-separated list of item numbers.

storestringOptional

A comma-separated list of stores.

min_on_handstringOptional

Show inventory greater than or equal to quantity.

max_on_handstringOptional

Show inventory less than or equal to quantity.

account_tokenstringRequired

A unique authentication token assigned to each 3PL account within the system

pagenumberRequired

Page number for the query result set. Default = 1

tagsstringOptional

Comma-separated tags used to filter matching records.

Responses
200

OK

application/json
IsForwardRequestbooleanOptional
MessagestringOptional
MessageTitlestring · nullableOptional
PagenumberOptional
ResultbooleanOptional
TotalPagesnumberOptional
get/api/xerp/account3pl/getinventorybyitem
GET /api/xerp/account3pl/getinventorybyitem?account_token=text&page=1 HTTP/1.1
Host: res.xorosoft.io
Authorization: Basic username:password
Accept: */*
200

OK

{
  "Data": [
    {
      "ATSQty": 75,
      "ATSQtyIncPO": 95,
      "AllocatedQty": 15,
      "AvailableQty": 90,
      "BasePartNumber": 4109,
      "ItemDescription": "Item Test Desc",
      "ItemId": 123866,
      "ItemNumber": "610934002539",
      "ItemTags": "",
      "NetAvailable": 75,
      "NotAvailableQty": 10,
      "OnHandQty": 100,
      "ProductHeaderId": 16901,
      "QtyOnASN": 0,
      "QtyOnPO": 20,
      "QtyOnPODraft": 0,
      "QtyOnSO": 15,
      "StoreId": 10002,
      "StoreName": "STORE-A1"
    }
  ],
  "IsForwardRequest": false,
  "Message": "Inventory data loaded successfully",
  "MessageTitle": null,
  "Page": 1,
  "Result": true,
  "TotalPages": 1
}

Last updated

Was this helpful?